List funder submissions with their current decision and offers
curl --request GET \
--url https://app.herondata.io/api/broker/end_users/{end_user_heron_id}/funder_submissions/ \
--header 'x-api-key: <api-key>'import requests
url = "https://app.herondata.io/api/broker/end_users/{end_user_heron_id}/funder_submissions/"
headers = {"x-api-key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'x-api-key': '<api-key>'}};
fetch('https://app.herondata.io/api/broker/end_users/{end_user_heron_id}/funder_submissions/', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"broker_link_status": "unlinked",
"classification": "submission",
"has_more": true,
"items": [
{
"attempts": [
{
"channel": "email",
"completed_at": "2023-11-07T05:31:56Z",
"created": "2023-11-07T05:31:56Z",
"heron_id": "<string>",
"is_production": true,
"status": "in_progress"
}
],
"configured_channel": "email",
"created": "2023-11-07T05:31:56Z",
"current_decision": {
"application_identifier": "<string>",
"application_status": "<string>",
"attribution_method": "<string>",
"decline_reason": "<string>",
"email_classification": "general-chatter",
"email_decision_stage": "initial-decision",
"has_competing_offers": true,
"heron_id": "<string>",
"lender_notes": "<string>",
"offer_link_url": "<string>",
"offers": [
{
"apr": 123,
"biweekly_payment": 123,
"buy_rate": 123,
"commission_amount": 123,
"commission_percent": 123,
"computed": {
"biweekly_payment": 123,
"buy_rate": 123,
"commission_amount": 123,
"commission_percent": 123,
"daily_payment": 123,
"factor_rate": 123,
"monthly_payment": 123,
"origination_fee_amount": 123,
"origination_fee_percentage": 123,
"payback_amount": 123,
"payment_frequency": "<string>",
"term_days": 123,
"term_months": 123,
"term_number_of_payments": 123,
"term_weeks": 123,
"weekly_payment": 123
},
"daily_payment": 123,
"draw_fee_amount": 123,
"draw_fee_percentage": 123,
"factor_rate": 123,
"funded_amount": 123,
"funding_position": 123,
"heron_id": "<string>",
"holdback_percentage": 123,
"interest_rate": 123,
"monthly_payment": 123,
"ordinal": 123,
"origination_fee_amount": 123,
"origination_fee_percentage": 123,
"payback_amount": 123,
"payment_frequency": "<string>",
"raw_product_text": "<string>",
"source": "email",
"stipulations": "<string>",
"term_days": 123,
"term_months": 123,
"term_number_of_payments": 123,
"term_weeks": 123,
"weekly_payment": 123
}
],
"provider_effective_at": "2023-11-07T05:31:56Z",
"raw_application_status": "<string>",
"requested_info": "<string>",
"source_email_end_user_heron_id": "<string>",
"source_email_heron_id": "<string>",
"source_received_at": "2023-11-07T05:31:56Z",
"status_reasoning": "<string>",
"stipulations": "<string>",
"superseded_at": "2023-11-07T05:31:56Z"
},
"decisions": [
{
"application_identifier": "<string>",
"application_status": "<string>",
"attribution_method": "<string>",
"decline_reason": "<string>",
"email_classification": "general-chatter",
"email_decision_stage": "initial-decision",
"has_competing_offers": true,
"heron_id": "<string>",
"lender_notes": "<string>",
"offer_link_url": "<string>",
"offers": [
{
"apr": 123,
"biweekly_payment": 123,
"buy_rate": 123,
"commission_amount": 123,
"commission_percent": 123,
"computed": {
"biweekly_payment": 123,
"buy_rate": 123,
"commission_amount": 123,
"commission_percent": 123,
"daily_payment": 123,
"factor_rate": 123,
"monthly_payment": 123,
"origination_fee_amount": 123,
"origination_fee_percentage": 123,
"payback_amount": 123,
"payment_frequency": "<string>",
"term_days": 123,
"term_months": 123,
"term_number_of_payments": 123,
"term_weeks": 123,
"weekly_payment": 123
},
"daily_payment": 123,
"draw_fee_amount": 123,
"draw_fee_percentage": 123,
"factor_rate": 123,
"funded_amount": 123,
"funding_position": 123,
"heron_id": "<string>",
"holdback_percentage": 123,
"interest_rate": 123,
"monthly_payment": 123,
"ordinal": 123,
"origination_fee_amount": 123,
"origination_fee_percentage": 123,
"payback_amount": 123,
"payment_frequency": "<string>",
"raw_product_text": "<string>",
"source": "email",
"stipulations": "<string>",
"term_days": 123,
"term_months": 123,
"term_number_of_payments": 123,
"term_weeks": 123,
"weekly_payment": 123
}
],
"provider_effective_at": "2023-11-07T05:31:56Z",
"raw_application_status": "<string>",
"requested_info": "<string>",
"source_email_end_user_heron_id": "<string>",
"source_email_heron_id": "<string>",
"source_received_at": "2023-11-07T05:31:56Z",
"status_reasoning": "<string>",
"stipulations": "<string>",
"superseded_at": "2023-11-07T05:31:56Z"
}
],
"funder": {
"heron_id": "<string>",
"name": "<string>"
},
"heron_id": "<string>",
"send_eligibility": {
"detail": "<string>",
"evidence": [
{
"configured_value": "<string>",
"funder_heron_id": "<string>",
"match_type": "domain",
"observed_value": "<string>",
"similarity": 123,
"status": "excluded"
}
],
"reason": "excluded",
"sendable": true
},
"should_send": true,
"status": "pending",
"submission_configured": true,
"submission_status_message": "<string>",
"submitted_at": "2023-11-07T05:31:56Z"
}
],
"limit": 123,
"linked_deal_end_user_heron_id": "<string>",
"linked_deal_name": "<string>",
"linked_records": [
{
"classification": "submission",
"created": "2023-11-07T05:31:56Z",
"heron_id": "<string>",
"link_type": "absorbed_submission_duplicate",
"name": "<string>"
}
],
"page": 123,
"submitting_brokers": [
{
"company": "<string>",
"domain": "<string>",
"email": "<string>"
}
]
}API Reference
List funder submissions with their current decision and offers
One row per funder submission on the deal, newest first, each carrying the funder, outbound status, send eligibility, send attempts, the current (non-superseded) decision, and the full decision history with each decision’s offers. The envelope also identifies the requested record’s broker link, records linked to it, and submitting broker identities evaluated for funder exclusions. Broker customers only; responds 404 for others.
GET
/
api
/
broker
/
end_users
/
{end_user_heron_id}
/
funder_submissions
/
List funder submissions with their current decision and offers
Authorizations
Path Parameters
The Heron ID of the end user
Query Parameters
Page number
Required range:
x >= 1Page size, default 25, max 50
Required range:
1 <= x <= 50Response
One page of funder submissions
Available options:
unlinked, linked, dismissed, reclassified, null Available options:
submission, decision, other, null Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Was this page helpful?